# Workplace Profile

{% hint style="info" %}
Disponível somente no canal **Workplace**
{% endhint %}

## Atributos

```javascript
[
    {
        "name": "get_workplace_profile",
        "parameters": {},
        "result_variable": "workplace_profile"
    }
]
```

* **name:** get\_workplace\_profile
* **parameters:** {}
* **result\_variable:** variável de contexto que receberá o resultado da operação. Em caso de sucesso, essa variável conterá o seguinte JSON:

  ```javascript
  {
    "code": 200,
    "response": {
        "id": "<identificador do usuário>",
        "name": "<nome do usuário>",
        "email": "<email do usuário>",
        "division": "<divisão que o usuário trabalha>",
        "department": "<departamento que o usuário trabalha>",
        "external_id": "<identificador externo>",
        "organization": "<nome da organização>"
    }
  }
  ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/actions/get_workplace_profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
